Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelope-recipients.post-recipient-manual-review-view ​

This method returns the URL of the page that allows a sender to manually review the ID of a recipient.

Create the link to the page for manually reviewing IDs.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—A value that identifies your account. This value is automatically generated by Docusign for any account you create. Copy the value from the API Account ID field in the AppsI and Keys page.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
recipientidstringYes—A GUID value that Docusign assigns to identify each recipient in an envelope. This value is globally unique for all recipients, not just those in your account. The specified recipient must belong to a workflow that allows the manual review of IDs. In addition, the status of the automatic verification for this recipient must return Failed and the value of the vendorFailureStatusCode field must be MANUAL_REVIEW_STARTED as shown in the following extract of a response to the GET ENVELOPE method: <p> "recipientAuthenticationStatus": { "identityVerificationResult": { "status": "Failed", "eventTimestamp": "2020-09-04T16:59:42.8045667Z", "vendorFailureStatusCode": "MANUAL_REVIEW_STARTED" } }

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—A value that identifies your account. This value is automatically generated by Docusign for any account you create. Copy the value from the API Account ID field in the AppsI and Keys page.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
recipientidstringYes—A GUID value that Docusign assigns to identify each recipient in an envelope. This value is globally unique for all recipients, not just those in your account. The specified recipient must belong to a workflow that allows the manual review of IDs. In addition, the status of the automatic verification for this recipient must return Failed and the value of the vendorFailureStatusCode field must be MANUAL_REVIEW_STARTED as shown in the following extract of a response to the GET ENVELOPE method: <p> "recipientAuthenticationStatus": { "identityVerificationResult": { "status": "Failed", "eventTimestamp": "2020-09-04T16:59:42.8045667Z", "vendorFailureStatusCode": "MANUAL_REVIEW_STARTED" } }
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/views/identity_manual_review
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/views/identity_manual_review
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelope-recipients.post-recipient-manual-review-view",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "envelopeid": "value",
    "recipientid": "value"
  }
}